Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.service
Interface IStatsUsageService

All Known Implementing Classes:
  StatsUsageServiceImpl

    public interface IStatsUsageService

Manage The `StatsUsage`

Author:
  David Masclet

Field Summary
`static int` | `FLUSH_THRESHOLD` The satsUsage will be flush into the database every ...

Method Summary
`void` | `flush(StatsUsageType statsUsageType)`
`int` | `getNumberOfCounter()`
`java.lang.Long` | `getUsage(StatsUsageType statsUsageType)`
`void` | `increaseUsage(StatsUsageType statsUsageType)`
`void` | `resetUsage(StatsUsageType statsUsageType)`

Field Detail

### FLUSH_THRESHOLD

    static final int FLUSH_THRESHOLD

  The satsUsage will be flush into the database every ...

  See Also:
    Constant Field Values

Method Detail

### getNumberOfCounter

    int getNumberOfCounter()

  Returns:
    the number of counter that are managed

### getUsage

    java.lang.Long getUsage(StatsUsageType statsUsageType)

  Parameters:
    `statsUsageType` - the usagetype
  Returns:
    the Usage for the specified `StatsUsageType`

### increaseUsage

    void increaseUsage(StatsUsageType statsUsageType)

  Parameters:
    `statsUsageType` - the `StatsUsageType` counter to increase Increase the counter of the specified type

### resetUsage

    void resetUsage(StatsUsageType statsUsageType)

  Parameters:
    `statsUsageType` - the `StatsUsageType` to reset reset the stats for the specified `StatsUsageType`

### flush

    void flush(StatsUsageType statsUsageType)

  Parameters:
    `statsUsageType` - the `StatsUsageType` to flush flush the value into database

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.